
From: Con Kolivas <kernel@kolivas.org>

Fix the fix for the inline error when compiling net/ipv6/route.c with
gcc-3.4.1

We removed the `inline' specification from the prototype, so remove it from
the implementation too.

Signed-off-by: Con Kolivas <kernel@kolivas.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/net/ipv6/route.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN net/ipv6/route.c~ipv6-routec-gcc-341-fix-inline net/ipv6/route.c
--- 25/net/ipv6/route.c~ipv6-routec-gcc-341-fix-inline	2004-07-26 23:25:26.846195968 -0700
+++ 25-akpm/net/ipv6/route.c	2004-07-26 23:25:28.569933920 -0700
@@ -692,7 +692,7 @@ static int ipv6_get_mtu(struct net_devic
 	return mtu;
 }
 
-static inline unsigned int ipv6_advmss(unsigned int mtu)
+static unsigned int ipv6_advmss(unsigned int mtu)
 {
 	mtu -= sizeof(struct ipv6hdr) + sizeof(struct tcphdr);
 
_
